VERSION 5.00
Begin VB.UserControl CloseButton 
   ClientHeight    =   255
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   240
   KeyPreview      =   -1  'True
   ScaleHeight     =   17
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   16
   ToolboxBitmap   =   "CloseButton.ctx":0000
   Begin VB.PictureBox picButton 
      AutoRedraw      =   -1  'True
      BorderStyle     =   0  'Kein
      Height          =   240
      Left            =   0
      ScaleHeight     =   240
      ScaleWidth      =   240
      TabIndex        =   0
      Top             =   0
      Width           =   240
   End
End
Attribute VB_Name = "CloseButton"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private Declare Function SetCapture Lib "user32.dll" (ByVal hwnd As Long) As Long
Private Declare Function ReleaseCapture Lib "user32.dll" () As Long

Private Const ButtonNormal As Long = 101
Private Const ButtonHover As Long = 102
Private Const ButtonPressed As Long = 103

Public Event Click()

Dim bCaptured As Boolean
Dim bPressed As Boolean


Private Sub picButton_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
If Button = vbLeftButton Then
    picButton.PaintPicture LoadResPicture(ButtonPressed, vbResBitmap), 0, 0
    bPressed = True
End If
End Sub

Private Sub picButton_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

If bCaptured = False Then
    Call SetCapture(picButton.hwnd)
    bCaptured = True
    picButton.PaintPicture LoadResPicture(ButtonHover, vbResBitmap), 0, 0
End If

If bPressed = False Then
    If X < 0 Or X > picButton.ScaleWidth Or Y < 0 Or Y > picButton.ScaleHeight Then
        Call ReleaseCapture
        bCaptured = False
        picButton.PaintPicture LoadResPicture(ButtonNormal, vbResBitmap), 0, 0
    End If
End If
End Sub

Private Sub picButton_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
If Button = vbLeftButton Then
    If X < 0 Or X > picButton.ScaleWidth Or Y < 0 Or Y > picButton.ScaleHeight Then
        Call ReleaseCapture
        bCaptured = False
        picButton.PaintPicture LoadResPicture(ButtonNormal, vbResBitmap), 0, 0
    Else
        picButton.PaintPicture LoadResPicture(ButtonHover, vbResBitmap), 0, 0
        RaiseEvent Click
        Call SetCapture(picButton.hwnd)
    End If
    bPressed = False
End If
End Sub

Private Sub UserControl_Initialize()
'Initialpicture laden
picButton.PaintPicture LoadResPicture(ButtonNormal, vbResBitmap), 0, 0
picButton.ScaleMode = vbTwips
End Sub

Private Sub UserControl_Resize()
'Gre festschreiben!
UserControl.Height = 240
UserControl.Width = 240
End Sub
