VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsStack"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'*****************************************************************************************************************
'*
'*  Subclassing FIFO Stack
'*  2004 (c) Kai Liebenau
'*
'*****************************************************************************************************************
Option Explicit

Dim c_col_uMsg      As Collection
Dim c_col_wParam    As Collection
Dim c_col_lParam    As Collection

Private Sub Class_Initialize()
'Stack initialisieren
Set c_col_uMsg = New Collection
Set c_col_wParam = New Collection
Set c_col_lParam = New Collection
End Sub

Private Sub Class_Terminate()
'Stack lschen
Set c_col_uMsg = Nothing
Set c_col_wParam = Nothing
Set c_col_lParam = Nothing
End Sub
'**********************************
'* PUSH auf Stack
'**********************************
Public Sub Push(ByVal uMsg As Long, ByVal wParam As Long, ByVal lParam As Long)
'Alle Daten auf den Stack packen. FIFO
c_col_uMsg.Add uMsg ', "uMsg" & uMsg
c_col_wParam.Add wParam ', "wParam" & wParam
c_col_lParam.Add lParam ', "lParam" & lParam
End Sub
Public Sub RemoveFirstMsg()
'erste Message lschen
c_col_uMsg.Remove (1)
c_col_wParam.Remove (1)
c_col_lParam.Remove (1)
End Sub
'**********************************
'* PEEK vom Stack
'**********************************
Property Get Peek_uMsg() As Long
'Message ID aus dem Stack holen
On Local Error Resume Next
Peek_uMsg = c_col_uMsg.Item(1)
'c_col_uMsg.Remove 1
End Property
Property Get Peek_wParam() As Long
'wParam aus dem Stack holen
On Local Error Resume Next
Peek_wParam = c_col_wParam.Item(1)
'c_col_wParam.Remove 1
End Property
Property Get Peek_lParam() As Long
'lParam aus dem Stack holen
On Local Error Resume Next
Peek_lParam = c_col_lParam.Item(1)
'c_col_lParam.Remove 1
End Property
'*********************************************
'* Stacksize
'**********************************************
Property Get Popsize() As Long
Popsize = c_col_uMsg.Count
End Property
