VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsConnecting"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'**********************************************************
'*  Klasse speichern der Informationen bei Erstellen einer
'*  Verbindung
'*
'*  Erstellt von Bjrn Tschrtner (bat_ware@surfeu.de)
'*  Letzte nderung: 28.02.2004
'*  Version: 1.0
'**********************************************************

Dim m_ChatId            As String
Dim m_IsPrimaryHost     As Boolean

Dim m_DstName           As String
Dim m_DstRemoteIP       As String
Dim m_DstLAN_IP         As String

Dim m_RouterName        As String
Dim m_RouterRemoteIP    As String

Dim m_IsConnected       As Boolean
Dim m_TimeOutStart      As Date
Dim m_ConnectingState   As String
Dim m_ConnectionType    As String
Dim m_DefTimeOut        As Double
'Dim m_HiddenConnection  As Boolean
Dim m_ShowErrors        As Boolean
'

Public Property Let ShowErrors(Value As Boolean)
   m_ShowErrors = Value
End Property
Public Property Get ShowErrors() As Boolean
   ShowErrors = m_ShowErrors
End Property

'Public Property Let HiddenConnection(Value As Boolean)
'   m_HiddenConnection = Value
'End Property
'Public Property Get HiddenConnection() As Boolean
'   HiddenConnection = m_HiddenConnection
'End Property

Public Property Let ConnectionType(Value As String)
   m_ConnectionType = Value
End Property
Public Property Get ConnectionType() As String
   ConnectionType = m_ConnectionType
End Property

Public Property Let ChatId(Value As String)
   m_ChatId = Value
End Property
Public Property Get ChatId() As String
   ChatId = m_ChatId
End Property

Public Property Let DstName(Value As String)
   m_DstName = Value
End Property
Public Property Get DstName() As String
   DstName = m_DstName
End Property

Public Property Let DstRemoteIP(Value As String)
   m_DstRemoteIP = Value
End Property
Public Property Get DstRemoteIP() As String
   DstRemoteIP = m_DstRemoteIP
End Property

Public Property Let DstLAN_IP(Value As String)
   m_DstLAN_IP = Value
End Property
Public Property Get DstLAN_IP() As String
   DstLAN_IP = m_DstLAN_IP
End Property

Public Property Let RouterName(Value As String)
   m_RouterName = Value
End Property
Public Property Get RouterName() As String
   RouterName = m_RouterName
End Property

Public Property Let RouterRemoteIP(Value As String)
   m_RouterRemoteIP = Value
End Property
Public Property Get RouterRemoteIP() As String
   RouterRemoteIP = m_RouterRemoteIP
End Property

Public Property Let IsConnected(Value As Boolean)
   m_IsConnected = Value
End Property
Public Property Get IsConnected() As Boolean
   IsConnected = m_IsConnected
End Property

Public Property Let IsPrimaryHost(Value As Boolean)
   m_IsPrimaryHost = Value
End Property
Public Property Get IsPrimaryHost() As Boolean
   IsPrimaryHost = m_IsPrimaryHost
End Property

Public Property Let ConnectingState(Value As String)
   m_ConnectingState = Value
End Property
Public Property Get ConnectingState() As String
   ConnectingState = m_ConnectingState
End Property

Public Sub StartTimeOut(TimeOut As Double)
   m_DefTimeOut = TimeOut
   m_TimeOutStart = Now
End Sub
Public Function IsTimeOut(Optional TimeOut As Double = -1) As Boolean
   If TimeOut = -1 Then TimeOut = m_DefTimeOut
   IsTimeOut = (DateDiff("s", m_TimeOutStart, Now) >= TimeOut)
End Function
