Attribute VB_Name = "modDocumentView"
Option Explicit

Private Const GWL_STYLE As Long = -16
Private Const WS_CHILD As Long = &H40000000
'----------------------------------------------------

'USER32
Private Declare Function SetParent Lib "user32.dll" ( _
  ByVal hWndChild As Long, _
  ByVal hWndNewParent As Long _
) As Long

Private Declare Function FindWindowEx Lib "user32.dll" Alias "FindWindowExA" ( _
  ByVal hWnd1 As Long, _
  ByVal hWnd2 As Long, _
  ByVal lpsz1 As String, _
  ByVal lpsz2 As String _
) As Long

Private Declare Function SetWindowLong Lib "user32.dll" Alias "SetWindowLongA" ( _
  ByVal hwnd As Long, _
  ByVal nIndex As Long, _
  ByVal dwNewLong As Long _
) As Long

Private Declare Function GetWindowLong Lib "user32.dll" Alias "GetWindowLongA" ( _
  ByVal hwnd As Long, _
  ByVal nIndex As Long _
) As Long
'----------------------------------------------------

Private m_WindowState   As Boolean ' True = MDI / False = SDI
'----------------------------------------------------

Public Sub SetToContainer(hwnd As Long, hParent As Long)
    Call SetWindowLong(hwnd, GWL_STYLE, GetWindowLong(hwnd, GWL_STYLE) Or WS_CHILD)
    Call SetParent(hwnd, hParent)
End Sub

Public Sub SwapView()
    Dim Style As Long
    Dim hWndTarget As Long
    Dim Child   As Form
    
    m_WindowState = Not m_WindowState
    
    If m_WindowState Then
        ' mdi
        
        hWndTarget = FindWindowEx( _
            dlgMain.hwnd, &H0&, "MDIClient" & vbNullChar, vbNullString _
        )
        If hWndTarget > 0 Then
            For Each Child In ChatWindows
                Call SetParent( _
                    Child.hwnd, _
                    hWndTarget _
                )
                
                Style = GetWindowLong(Child.hwnd, GWL_STYLE)
                Style = Style Or WS_CHILD
                Call SetWindowLong(Child.hwnd, GWL_STYLE, Style)
            Next
        End If
    Else
        ' desktop
        
        For Each Child In ChatWindows
            Call SetParent(Child.hwnd, 0)
            Style = GetWindowLong(Child.hwnd, GWL_STYLE)
            Style = Style And Not WS_CHILD
            Call SetWindowLong(Child.hwnd, GWL_STYLE, Style)
        Next
    End If
End Sub

Public Sub SetView(MDI As Boolean)
    If Not MDI Eqv m_WindowState Then
        Call SwapView
    End If
End Sub
