Attribute VB_Name = "modSound"
Option Explicit

Private Declare Function PlaySoundFile Lib "winmm.dll" Alias "sndPlaySoundA" (ByVal lpszSoundName As String, ByVal uFlags As Long) As Long
Private Const SND_ASYNC = &H1

Public sndGotMessage As String
Public sndFileTransfer As String
Public sndGotCode As String
Public sndGotStateMessage As String
Public sndNewUser As String

Public Sub Init()
   sndGotMessage = modSettings.GetSetting("Sound", "GotMsg")
   sndFileTransfer = modSettings.GetSetting("Sound", "GotFile")
   sndGotCode = modSettings.GetSetting("Sound", "GotCode")
   sndGotStateMessage = modSettings.GetSetting("Sound", "GotStateMsg")
   sndNewUser = modSettings.GetSetting("Sound", "GotNewUsr")

End Sub

Public Sub PlaySound(ByVal FileName As String)
   On Error GoTo ErrorHandler
   
   If Len(FileName) > 2 Then
      If Left$(FileName, 2) = "1," Then
         FileName = Mid$(FileName, 3)
      ElseIf Left$(FileName, 2) = "0," Then
         Exit Sub
      End If
   Else
      Exit Sub
   End If
   
   If Mid$(FileName, 2, 1) <> ":" Then
      PlaySoundFile CorrectPath(App.Path) & FileName, SND_ASYNC
   Else
      PlaySoundFile FileName, SND_ASYNC
   End If
   Exit Sub
   
ErrorHandler:
   Beep
   
End Sub

