VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CSortArray"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private Declare Sub GetSafeArrayPointer Lib "msvbvm60.dll" Alias "GetMem4" (ByRef pArray() As Any, ByRef sfaPtr As Long)

Private m_Array()           As String

Public Property Get SortedArray() As String()
    If SafeUBound(m_Array) = -1 Then Exit Property
    Call QuickSort(LBound(m_Array), UBound(m_Array))
    SortedArray = m_Array()
End Property

Public Sub Add(Value As String)
    ReDim Preserve m_Array(SafeUBound(m_Array) + 1)
    m_Array(UBound(m_Array)) = Value
End Sub

Private Sub QuickSort(ByVal LB&, ByVal UB&)
  'this function works only with strings !
  'Don't sort other Array's without adaptation
  Dim P1&, P2&
  Dim Ref As String
  Dim TEMP As String

    P1 = LB
    P2 = UB
     Ref = m_Array(Int((P1 + P2) / 2))
     
    Do
      Do While StrComp(m_Array(P1), Ref, vbTextCompare) = -1
        P1 = P1 + 1
      Loop
 
      Do While StrComp(m_Array(P2), Ref, vbTextCompare) = 1
        P2 = P2 - 1
      Loop

      If P1 <= P2 Then
        TEMP = m_Array(P1)
        m_Array(P1) = m_Array(P2)
        m_Array(P2) = TEMP
            
        P1 = P1 + 1
        P2 = P2 - 1
      End If
    Loop Until (P1 > P2)

    If LB < P2 Then Call QuickSort(LB, P2)
    If P1 < UB Then Call QuickSort(P1, UB)
End Sub

Private Function SafeUBound(Inp() As String, Optional NotDimValue As Long = -1) As Long
    Dim sfaPtr  As Long
    Call GetSafeArrayPointer(Inp(), sfaPtr)
    
    If sfaPtr = 0 Then _
        SafeUBound = NotDimValue _
    Else _
        SafeUBound = UBound(Inp)
End Function

