VERSION 5.00
Begin VB.UserControl SmileyMenu 
   AutoRedraw      =   -1  'True
   ClientHeight    =   2475
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3540
   MouseIcon       =   "SmileyMenu.ctx":0000
   MousePointer    =   1  'Pfeil
   ScaleHeight     =   165
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   236
   Begin VB.PictureBox Pic_Insert 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BorderStyle     =   0  'Kein
      Height          =   375
      Left            =   3000
      ScaleHeight     =   25
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   25
      TabIndex        =   1
      Top             =   960
      Visible         =   0   'False
      Width           =   375
   End
   Begin VB.Timer Tmr_MouseHover 
      Enabled         =   0   'False
      Interval        =   10
      Left            =   3000
      Top             =   120
   End
   Begin VB.PictureBox Pic_Smiley 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BorderStyle     =   0  'Kein
      Height          =   375
      Index           =   0
      Left            =   3000
      ScaleHeight     =   25
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   25
      TabIndex        =   0
      Top             =   600
      Visible         =   0   'False
      Width           =   375
   End
End
Attribute VB_Name = "SmileyMenu"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'**********************************************************
'*  Men zur Auswahl von Smilies
'*
'*  Erstellt von Bjrn Tschrtner (bat_ware@surfeu.de)
'*  Letzte nderung: 19.03.2004
'*  Version: 1.0
'**********************************************************

Private Type RECT
   Left As Long
   Top As Long
   Right As Long
   Bottom As Long
End Type

Private Type POINTAPI
   X As Long
   Y As Long
End Type

Private Declare Function BitBlt Lib "gdi32.dll" (ByVal hDestDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long

Private Declare Function GetCursorPos Lib "user32.dll" (ByRef lpPoint As POINTAPI) As Long
Private Declare Function SetCapture Lib "user32.dll" (ByVal hwnd As Long) As Long
Private Declare Function ReleaseCapture Lib "user32.dll" () As Long

Private Declare Function GetDesktopWindow Lib "user32" () As Long
Private Declare Function ShowWindow Lib "user32" (ByVal hwnd As Long, ByVal nCmdShow As Long) As Long
Private Declare Function GetWindowRect Lib "user32.dll" (ByVal hwnd As Long, lpRect As RECT) As Long
Private Declare Function SetParent Lib "user32.dll" (ByVal hWndChild As Long, ByVal hWndNewParent As Long) As Long
Private Declare Function GetParent Lib "user32.dll" (ByVal hwnd As Long) As Long
Private Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Private Declare Function SetWindowLong Lib "user32.dll" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Declare Function MoveWindow Lib "user32.dll" (ByVal hwnd As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal bRepaint As Long) As Long

Private Const SRCAND = &H8800C6
Private Const SRCCOPY = &HCC0020
Private Const SRCERASE = &H440328
Private Const SRCINVERT = &H660046
Private Const SRCPAINT = &HEE0086

Private Const SWP_NOSIZE = &H1
Private Const SWP_NOMOVE = &H2
Private Const HWND_TOPMOST = -1
Private Const HWND_NOTOPMOST = -2

Private Const SW_SHOW = 5
Private Const SW_HIDE = 0

Private Const WS_CHILD As Long = &H40000000
Private Const WS_VISIBLE As Long = &H10000000
Private Const GWL_STYLE As Long = -16

Dim curMouseX As Long
Dim curMouseY As Long
Dim curHoverSmiley As Integer
'Dim lhWnd As Long
Dim lOldhWnd As Long

Event SelectSmiley(Index As Integer)

Public Sub ClearSmilies()
   On Local Error Resume Next
   Dim I As Long
   
   For I = 1 To Pic_Smiley.UBound
      Unload Pic_Smiley(I)
   Next I
  
End Sub

Public Sub AddSmiley(FileName As String)
   'create new smiley'
   Load Pic_Smiley(Pic_Smiley.UBound + 1)
   With Pic_Smiley(Pic_Smiley.UBound)
      .Picture = LoadPicture(FileName)
   End With

End Sub

'FIXIT: 'RelativeObject' mit einem Datentyp mit frher Bindung deklarieren                 FixIT90210ae-R1672-R1B8ZE
Public Sub ShowSmileyMenu(ByVal X As Long, ByVal Y As Long, RelativeObject As Object)
   Dim RelativeObjectRect As RECT
   Dim DesktopRect As RECT
   Dim ControlRect As RECT
   Dim ctlWidth As Long, ctlHeight As Long
   
   curHoverSmiley = 0
   curMouseX = 0
   curMouseY = 0
   UserControl.Cls
   
   'set control size'
   Call CalculateSize(ctlWidth, ctlHeight)
   If ctlWidth > 0 Then UserControl.Width = ctlWidth * m_lngTwipsPerPixelX
   If ctlHeight > 0 Then UserControl.Height = ctlHeight * m_lngTwipsPerPixelY
   
   'get desktop size'
   Call GetWindowRect(GetDesktopWindow(), DesktopRect)
   
   'get control size'
   Call GetWindowRect(UserControl.hwnd, ControlRect)
   
   'set default position'
   Call GetWindowRect(RelativeObject.hwnd, RelativeObjectRect)
   X = RelativeObjectRect.Left + (X / m_lngTwipsPerPixelX) - 1
   Y = RelativeObjectRect.Top + (Y / m_lngTwipsPerPixelY) - 2
   
   'check position'
   If X + (ControlRect.Right - ControlRect.Left) > DesktopRect.Right Then X = DesktopRect.Right - (ControlRect.Right - ControlRect.Left)
   If Y + (ControlRect.Bottom - ControlRect.Top) > DesktopRect.Bottom Then Y = DesktopRect.Bottom - (ControlRect.Bottom - ControlRect.Top)
   If X < DesktopRect.Left Then X = DesktopRect.Left
   If Y < DesktopRect.Top Then Y = DesktopRect.Top
   
   'show control'
   lOldhWnd = GetParent(UserControl.hwnd)
   Call SetParent(UserControl.hwnd, 0)
   Call SetWindowLong(UserControl.hwnd, GWL_STYLE, WS_VISIBLE Or WS_CHILD)
   Call MoveWindow(UserControl.hwnd, X, Y + 2, ctlWidth, ctlHeight, 0)
   Call SetWindowPos(UserControl.hwnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE)
   
   Tmr_MouseHover.Enabled = True
   Call SetCapture(UserControl.hwnd)

End Sub

Public Sub HideSmileyMenu()
   Call ReleaseCapture
   Call SetParent(UserControl.hwnd, lOldhWnd)
   Call ShowWindow(UserControl.hwnd, SW_HIDE)
   Tmr_MouseHover.Enabled = False
End Sub

Private Sub CheckMouseClick()
   Dim CursorPos As POINTAPI
   Dim ControlRect As RECT
   
   'get cursor position'
   Call GetCursorPos(CursorPos)
   
   'get control position and size'
   Call GetWindowRect(UserControl.hwnd, ControlRect)
      
   If CursorPos.X >= ControlRect.Left And CursorPos.X <= ControlRect.Right And CursorPos.Y >= ControlRect.Top And CursorPos.Y <= ControlRect.Bottom Then
      'in control'
      If curHoverSmiley > 0 Then
         Call HideSmileyMenu
         RaiseEvent SelectSmiley(curHoverSmiley)
      End If
   Else
      'outside of control'
      Call HideSmileyMenu
   End If

End Sub

Private Sub Tmr_MouseHover_Timer()
   Dim CursorPos As POINTAPI
   Dim ControlRect As RECT

   'get control position and size'
   Call GetWindowRect(UserControl.hwnd, ControlRect)

   'get cursor position'
   Call GetCursorPos(CursorPos)
   curMouseX = CursorPos.X - ControlRect.Left
   curMouseY = CursorPos.Y - ControlRect.Top

   Call UserControl_Paint

End Sub

Private Sub UserControl_Initialize()
   Call ClearSmilies
   
End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
   Call CheckMouseClick
'   Call HideSmileyMenu

End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
   Call ReleaseCapture
   Call SetCapture(UserControl.hwnd)
'   Call SetParent(UserControl.hwnd, lOldhWnd)
'   Call DestroyWindow(lhWnd)
'   Call HideSmileyMenu
End Sub

Private Sub UserControl_Paint()
   Dim meWidth As Long, meHeight As Long
   meWidth = UserControl.ScaleWidth - 1
   meHeight = UserControl.ScaleHeight - 1
   
   'background'
   UserControl.Line (0, 0)-(meWidth, meHeight), vbWindowBackground, BF
   
   'top and left'
   UserControl.Line (0, 0)-(meWidth, 0), vbButtonFace
   UserControl.Line (0, 0)-(0, meHeight), vbButtonFace
   UserControl.Line (1, 1)-(meWidth - 1, 1), vb3DHighlight
   UserControl.Line (1, 1)-(1, meHeight - 1), vb3DHighlight
   
   'right and bottom'
   UserControl.Line (meWidth, 0)-(meWidth, meHeight + 1), vb3DDKShadow
   UserControl.Line (0, meHeight)-(meWidth, meHeight), vb3DDKShadow
   UserControl.Line (meWidth - 1, 1)-(meWidth - 1, meHeight), vb3DShadow
   UserControl.Line (1, meHeight - 1)-(meWidth - 1, meHeight - 1), vb3DShadow
      
   'paint smilies'
   Call ShowSmilies
   
'   UserControl.Refresh
   
End Sub

Private Sub UserControl_Resize()
   Call UserControl_Paint

End Sub

Private Sub ShowSmilies()
   Dim I As Long
   Dim picWidth As Long, picHeight As Long
   Dim curX As Long, curY As Long
   
   curHoverSmiley = 0
   
   'set start position'
   curX = 3
   curY = 3
      
   For I = 1 To Pic_Smiley.UBound
      
      'set picture size'
      picWidth = Pic_Smiley(I).Width
      picHeight = Pic_Smiley(I).Height
      
      Pic_Insert.Cls
      Pic_Insert.Width = picWidth + 10
      Pic_Insert.Height = picHeight + 10
                  
      'paint selection'
      If curMouseX >= curX And curMouseX <= curX + picWidth + 10 And curMouseY >= curY And curMouseY <= curY + picHeight + 10 Then
         Pic_Smiley(I).BackColor = vb3DHighlight
         Pic_Insert.Line (0, 0)-(picWidth + 10, picHeight + 10), vb3DHighlight, BF
         Pic_Insert.Line (0, 0)-(picWidth + 10 - 1, picHeight + 10 - 1), vb3DShadow, B
         curHoverSmiley = I
      Else
         Pic_Smiley(I).BackColor = vbWindowBackground
         Pic_Insert.Line (0, 0)-(picWidth + 10, picHeight + 10), vbWindowBackground, BF
      End If
                  
      'draw picture'
      Call BitBlt(Pic_Insert.hdc, ((picWidth + 10) / 2) - (picWidth / 2), ((picHeight + 10) / 2) - (picHeight / 2), picWidth, picHeight, Pic_Smiley(I).hdc, 0, 0, SRCCOPY)
      Call BitBlt(UserControl.hdc, curX, curY, picWidth + 10, picHeight + 10, Pic_Insert.hdc, 0, 0, SRCCOPY)
         
      'set next position'
      curX = curX + picWidth + 10 + 1
      If curX + picWidth + 10 + 3 > UserControl.ScaleWidth Then
         curX = 3
         curY = curY + picHeight + 10 + 1
      End If
   
   Next I

   If curHoverSmiley > 0 Then
      UserControl.MousePointer = 99
   Else
      UserControl.MousePointer = 1
   End If

End Sub

Private Sub CalculateSize(ByRef Width As Long, ByRef Height As Long)
   Dim I As Long
   Dim picWidth As Long, picHeight As Long
   Dim curX As Long, curY As Long
   
   Width = 0
   Height = 0
   
   'set start position'
   curX = 3
   curY = 3
      
   For I = 1 To Pic_Smiley.UBound
      
      Height = curY + picHeight + 10 + 4
      
      'set picture size'
      picWidth = Pic_Smiley(I).Width
      picHeight = Pic_Smiley(I).Height
               
      'set next position'
      curX = curX + picWidth + 10 + 1
      If curX + picWidth + 10 + 3 > UserControl.ScaleWidth Then
         Width = curX + 10 - 7
         curX = 3
         curY = curY + picHeight + 10 + 1
      End If
      
   Next I

End Sub
