VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsLoginData"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private Const Cstr_LoginSite As String = "/cgi-bin/messenger/messenger.pl?"
'Private Const Cstr_LoginSite As String = "/cgi-bin/messenger/test/messenger.pl?"

Public Enum eLoginAction
    Login
    RefreshData
    Logout
End Enum

Dim sErrorDescription As String
Dim lErrorNumber As Long
Dim bErrorOccoured As Boolean

Dim sSessionID As String
Dim lOnlineState As Long
Dim sUsername As String
Dim sPassword As String
Dim sVersion As String
Dim sLanIP As String

Dim sResponsePacket As String

Dim lLoginAction As eLoginAction


Property Let LoginAction(ByVal newVal As eLoginAction)
lLoginAction = newVal
End Property
Property Let UserName(ByVal newVal As String)
sUsername = newVal
End Property
Property Let Password(ByVal newVal As String)
sPassword = newVal
End Property
Property Let SessionID(ByVal newVal As String)
sSessionID = newVal
End Property
Property Let OnlineState(ByVal newVal As ClientOnlineState)
lOnlineState = newVal
End Property
Property Let Version(ByVal newVal As String)
sVersion = newVal
End Property
Property Let LanIP(ByVal newVal As String)
sLanIP = newVal
End Property
Property Let Response(ByVal newVal As String)
sResponsePacket = newVal
End Property

Property Get ErrorOccoured() As Boolean
ErrorOccoured = bErrorOccoured
End Property
Property Get ErrorDescription() As String
ErrorDescription = sErrorDescription
End Property
Property Get ErrorNumber() As Long
ErrorNumber = lErrorNumber
End Property
Property Get LanIP() As String
LanIP = sLanIP
End Property
Property Get Response() As String
Response = sResponsePacket
End Property

Public Sub SetError(ByVal SetErrorNumber As Long, ByVal SetErrorDescription As String)
bErrorOccoured = True
sErrorDescription = SetErrorDescription
lErrorNumber = SetErrorNumber
End Sub


Public Function IsDataOK() As Boolean
If LenB(sVersion) <> 0 And (lOnlineState > 0 Or lLoginAction = Logout) Then
    Select Case lLoginAction
        Case Login
            If LenB(sUsername) <> 0 And LenB(sPassword) <> 0 And LenB(sLanIP) <> 0 Then IsDataOK = True
        Case RefreshData, Logout
            If LenB(sSessionID) <> 0 Then IsDataOK = True
    End Select
End If
End Function

Public Function GetHTTPHeader() As String
Dim Url         As String
Dim Encoder  As CEncoding

Select Case lLoginAction
    Case Login
        Url = Cstr_LoginSite & "cmd=login" & _
              "&user=" & sUsername & _
              "&pw=" & sPassword & _
              "&lanip=" & sLanIP & _
              "&state=" & CStr(lOnlineState) & _
              "&v=" & sVersion
    Case RefreshData
        Url = Cstr_LoginSite & "cmd=refresh" & _
              "&sessid=" & sSessionID & _
              "&state=" & CStr(lOnlineState) & _
              "&v=" & sVersion
    Case Logout
        Url = Cstr_LoginSite & "cmd=logout" & _
              "&sessid=" & sSessionID & _
              "&v=" & sVersion
End Select

Set Encoder = New CEncoding

GetHTTPHeader = "GET " & _
              Encoder.URLEncode(Url) & _
              " HTTP/1.0" & vbCrLf & _
              "Pragma: no-cache" & vbCrLf & _
              "Host: " & AVB_SITE & _
              vbCrLf & vbCrLf
End Function

